Name: liboauth2
Version: 1.4.1
Release: 1%{dist}
Summary: Generic library to build OAuth 2.x and OpenID Connect servers and clients in C
License: AGPLv3
URL: https://github.com/zmartzone/liboauth2
Source0: https://github.com/zmartzone/liboauth2/archive/refs/tags/v%{version}.tar.gz
Patch1: liboauth2-apache-fix.patch

BuildRequires: cjose-devel libcurl-devel jansson-devel openssl-devel
BuildRequires: automake gcc cmake make check libtool
BuildRequires: httpd-devel

%description
liboauth2 library provides primitives to create OAuth 2.x and OpenID Connect
servers and clients

%package devel
Summary: Library to build OAuth 2.x and OpenID Connect servers and clients in C
License: AGPLv3
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
liboauth2 library provides primitives to create OAuth 2.x and OpenID Connect
servers and clients.

%package static
Summary: Components to build OAuth 2.x and OpenID Connect servers and clients in C
License: AGPLv3
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description static
Static version of the liboauth2 library to build OAuth 2.x and OpenID Connect
servers and clients

%package apache
Summary: OAuth 2.x and OpenID Connect library integration to Apache
License: AGPLv3
Requires: %{name}%{?_isa} = %{version}-%{release}

%description apache
OAuth 2.x and OpenID Connect library integration to Apache web server

%package apache-devel
Summary: Development components to build Apache module with liboauth2 library
License: AGPLv3
Requires: %{name}-apache%{?_isa} = %{version}-%{release}
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description apache-devel
Development components to build Apache module with liboauth2 library

%package apache-static
Summary: Component for Apache module with static version of liboauth2 library 
License: AGPLv3
Requires: %{name}-apache-devel%{?_isa} = %{version}-%{release}

%description apache-static
Static version of the liboauth2 library to build OAuth 2.x and OpenID Connect
module to Apache

%prep
%autosetup -p1 -n liboauth2-%{version}

%build
autoreconf -ivf
%configure --with-apache --without-redis --without-memcache
%make_build

%check
%make_build check

%install
%make_install

%files devel
%dir %{_includedir}/oauth2
%{_includedir}/oauth2/cache.h
%{_includedir}/oauth2/cfg.h
%{_includedir}/oauth2/http.h
%{_includedir}/oauth2/ipc.h
%{_includedir}/oauth2/jose.h
%{_includedir}/oauth2/log.h
%{_includedir}/oauth2/mem.h
%{_includedir}/oauth2/oauth2.h
%{_includedir}/oauth2/openidc.h
%{_includedir}/oauth2/proto.h
%{_includedir}/oauth2/session.h
%{_includedir}/oauth2/util.h
%{_includedir}/oauth2/version.h
%{_libdir}/pkgconfig/liboauth2.pc
%{_libdir}/liboauth2.so
%license LICENSE
%doc README.md

%files static
%{_libdir}/liboauth2.a
%{_libdir}/liboauth2.la
%license LICENSE
%doc README.md

%files
%{_libdir}/liboauth2.so.0
%{_libdir}/liboauth2.so.0.0.0
%license LICENSE
%doc README.md

%files apache
%{_libdir}/liboauth2_apache.so.0
%{_libdir}/liboauth2_apache.so.0.0.0
%license LICENSE
%doc README.md

%files apache-devel
%{_includedir}/oauth2/apache.h
%{_libdir}/pkgconfig/liboauth2_apache.pc
%{_libdir}/liboauth2_apache.so
%license LICENSE
%doc README.md

%files apache-static
%{_libdir}/liboauth2_apache.a
%{_libdir}/liboauth2_apache.la
%license LICENSE
%doc README.md


%changelog
* Sat Apr 17 2021 Alexander Bokovoy <abokovoy@redhat.com> 1.4.1-1
- Initial package
